aboutsummaryrefslogtreecommitdiff
path: root/kdebug/test-init.sh
diff options
context:
space:
mode:
Diffstat (limited to 'kdebug/test-init.sh')
-rw-r--r--kdebug/test-init.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/kdebug/test-init.sh b/kdebug/test-init.sh
index 4b55b51..849d9c7 100644
--- a/kdebug/test-init.sh
+++ b/kdebug/test-init.sh
@@ -10,5 +10,10 @@ echo done
echo Hello, World
cd /root
-./quicktest.sh
-sh -i
+if [ -f ./interactive ]; then
+ ./quicktest.sh
+ sh -i
+else
+ ./quicktest.sh || ./exit 1
+fi
+./exit